Resolve issue with SetStdFont

12/04/2013 10:01 AM - Miroslav Fidler
Assignee: Zbigniew Rebacz % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

- does not work in Linux

- does not change the rich-text zoom

- InitRichTextZoom should probably rather use the minimum of vertical/horizontal zoom

History

#1 - 12/04/2013 02:24 PM - Miroslav Fidler

- Status changed from New to Approved

#2 - 12/20/2013 10:05 PM - Zbigniew Rebacz

- File SmallFont.png added

- File SmallFontDescription.png added

- File SystemApplication.png added

- Status changed from Approved to New

Hello Mirek,

After this patch, fonts are extremely small compared to fonts used by system applications (Tested on Kubuntu 13.10). Can you check it?

In addition, I enclose three screenshots.

#3 - 12/21/2013 12:47 AM - Zbigniew Rebacz

- Assignee set to Miroslav Fidler

#4 - 12/23/2013 07:15 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

I do not know, based on screenshots, menu font looks the same as in SystemApplication.png (perhaps only on first sight).

Font in Assist++ was always small, that is not related to StdFont, it is intentional (functions signatures are long, so the font is small so they fit).

#5 - 12/23/2013 10:50 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

I think we should use SansSerif insted of Arial in ChGtk (CtrlLib/ChGtk.cpp - line 85):

int fontname = Font::SANSSERIF;
int fontname = Font::ARIAL;

Font in Assist++ was always small, that is not related to StdFont, it is intentional (functions signatures are long, so the font is small so they fit).

My solution takes into account above situation.

#6 - 12/23/2013 11:17 PM - Zbigniew Rebacz

Something bad happened to my previous message. So, I decided to post it again.

I think we should use SansSerif insted of Arial in ChGtk (CtrlLib/ChGtk.cpp - line 85):

int fontname = Font::SANSSERIF;

instead of:

int fontname = Font::ARIAL;

Font in Assist++ was always small, that is not related to StdFont, it is intentional (functions signatures are long, so the font is small so they fit).

My solution takes into account above situation.

#7 - 12/24/2013 12:26 AM - Zbigniew Rebacz

- Status changed from New to Patch ready

#8 - 12/26/2013 11:01 AM - Miroslav Fidler

ARIAL and SANSSERIF are synonyms (see Font class declaration).

In any case, it should not have any impact anyway, as 'fontname' is changed to the proper face in block starting at ChGtk.cpp 101. ARIAL is only the

"default of defaults" there. But perhaps putting some DDUMPs there should reveal what is wrong (if anything - as I said I see nothing wrong with your

screenshots).

#9 - 12/26/2013 11:01 AM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#10 - 12/26/2013 11:33 AM - Miroslav Fidler

- Status changed from Patch ready to In Progress

#11 - 01/04/2014 04:51 PM - Zbigniew Rebacz

- Status changed from In Progress to Approved
Evrything works perfect on pure upp installation (X11 & GTK)!

#12 - 01/29/2014 11:15 PM - Zbigniew Rebacz

- File deleted (SystemApplication.png)

#13 - 01/29/2014 11:15 PM - Zbigniew Rebacz

- File deleted (SmallFontDescription.png)

#14 - 01/29/2014 11:15 PM - Zbigniew Rebacz

- File deleted (SmallFont.png)
